Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.xmldb
Class XMLResourceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.XMLResourceImpl

All Implemented Interfaces:
  org.xmldb.api.base.Resource, org.xmldb.api.modules.XMLResource

public final class XMLResourceImpl
extends java.lang.Object
implements org.xmldb.api.modules.XMLResource

XMLResourceImpl

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from interface org.xmldb.api.modules.XMLResource
`RESOURCE_TYPE`

Constructor Summary
`XMLResourceImpl(CollectionImpl parent)`
`XMLResourceImpl(CollectionImpl parent, java.lang.String docID, java.lang.String id, java.lang.String xml)`

Method Summary
`java.lang.Object` | `getContent()`
`org.w3c.dom.Node` | `getContentAsDOM()`
`void` | `getContentAsSAX(org.xml.sax.ContentHandler handler)`
`java.lang.String` | `getDocumentId()`
`java.lang.String` | `getId()`
`org.xmldb.api.base.Collection` | `getParentCollection()`
`java.lang.String` | `getResourceType()`
`boolean` | `getSAXFeature(java.lang.String name)`
`void` | `setContent(java.lang.Object value)`
`void` | `setContentAsDOM(org.w3c.dom.Node content)`
`org.xml.sax.ContentHandler` | `setContentAsSAX()`
`void` | `setSAXFeature(java.lang.String name, boolean value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### XMLResourceImpl

    public XMLResourceImpl(CollectionImpl parent,
                           java.lang.String docID,
                           java.lang.String id,
                           java.lang.String xml)

### XMLResourceImpl

    public XMLResourceImpl(CollectionImpl parent)

Method Detail

### getDocumentId

    public java.lang.String getDocumentId()
                                   throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getDocumentId` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getParentCollection

    public org.xmldb.api.base.Collection getParentCollection()
                                                      throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getParentCollection` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getContentAsDOM

    public org.w3c.dom.Node getContentAsDOM()
                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getContentAsDOM` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getId

    public java.lang.String getId()
                           throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getId` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setContentAsDOM

    public void setContentAsDOM(org.w3c.dom.Node content)
                         throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setContentAsDOM` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getResourceType

    public java.lang.String getResourceType()
                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getResourceType` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setSAXFeature

    public void setSAXFeature(java.lang.String name,
                              boolean value)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Specified by:
    `setSAXFeature` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getSAXFeature

    public boolean getSAXFeature(java.lang.String name)
                          throws org.xml.sax.SAXNotRecognizedException,
                                 org.xml.sax.SAXNotSupportedException

  Specified by:
    `getSAXFeature` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getContentAsSAX

    public void getContentAsSAX(org.xml.sax.ContentHandler handler)
                         throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getContentAsSAX` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setContentAsSAX

    public org.xml.sax.ContentHandler setContentAsSAX()
                                               throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setContentAsSAX` in interface `org.xmldb.api.modules.XMLResource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getContent

    public java.lang.Object getContent()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getContent` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setContent

    public void setContent(java.lang.Object value)
                    throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setContent` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group